<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            $table->string('desc')->nullable()->comment("其他描述")->after('woman');
            $table->string('personal')->nullable()->comment("个人情况")->after('woman');
            $table->string('family_member')->nullable()->comment("家庭成员")->after('woman');
            $table->text('family')->nullable()->comment("家庭关系")->after('woman');
            $table->text('mental')->nullable()->comment("心理状态")->after('woman');
            $table->string('living')->nullable()->comment("生活习惯")->after('woman');
            $table->string('dietary')->nullable()->comment("饮食习惯")->after('woman');
            $table->text('other')->nullable()->comment("其他问题")->after('woman');
            $table->string('man')->nullable()->comment("男科问题")->after('woman');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            //
        });
    }
};
